Bug 878213 - (CVE-2012-5533) CVE-2012-5533 lighttpd: Denial of Service via malformed Connection headers
CVE-2012-5533 lighttpd: Denial of Service via malformed Connection headers
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121121,repor...
: Security
Depends On: 878914 878915
Blocks: 878215
  Show dependency treegraph
 
Reported: 2012-11-19 16:05 EST by Vincent Danen
Modified: 2013-08-26 09:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: lighttpd 1.4.32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch to correct the flaw (2.94 KB, patch)
2012-11-19 16:07 EST, Vincent Danen
no flags Details | Diff
CVE-2012-5533 lighttpd apply patch (721.59 KB, application/x-rpm)
2013-08-09 12:28 EDT, Wilmer Jaramillo M.
no flags Details

  None (edit)
Description Vincent Danen 2012-11-19 16:05:02 EST
A flaw was found in lighttpd version 1.4.31 that could be exploited by a remote user to cause a denial of service condition in lighttpd.  A client could send a malformed Connection header to lighttpd (such as "Connection: TE,,Keep-Alive"), which would cause lighttpd to enter an endless loop, detecting an empty token but not incrementing the current string position, causing it to continually read ',' over and over.

This flaw was introduced in 1.4.31 [1] when an "invalid read" bug was fixed [2].

[1] http://redmine.lighttpd.net/projects/lighttpd/repository/revisions/2830/diff/
[2] http://redmine.lighttpd.net/issues/2413


Acknowledgement:

Red Hat would like to thank Stefan Bühler for reporting this issue. Upstream acknowledges Jesse Sipprell from McClatchy Interactive, Inc. as the original reporter.
Comment 1 Vincent Danen 2012-11-19 16:07:00 EST
Created attachment 648125 [details]
upstream patch to correct the flaw
Comment 2 Vincent Danen 2012-11-20 11:44:26 EST
Note that because lighttpd does not use threads, this would cause the daemon to fully be unresponsive to requests and peg the CPU core it is using to full or near-full utilization.
Comment 4 Jan Lieskovsky 2012-11-21 09:24:00 EST
Created lighttpd tracking bugs for this issue

Affects: fedora-all [bug 878914]
Affects: epel-all [bug 878915]
Comment 5 Tom Atkinson 2013-02-19 16:53:48 EST
Anything happening here?
Comment 6 Vincent Danen 2013-02-21 21:44:41 EST
I do not see that the Fedora maintainers have proceeded with this.  I'll ping on the tracking bugs to see if that maybe reminds them.
Comment 7 Wilmer Jaramillo M. 2013-04-12 17:01:31 EDT
Any progress with this bug?
Comment 8 Wilmer Jaramillo M. 2013-08-09 12:28:56 EDT
Created attachment 784918 [details]
CVE-2012-5533 lighttpd apply patch

SRPMS version that I compile a few months ago and currently in production.

Note You need to log in before you can comment on or make changes to this bug.